.pages-list {
	font-size: size-rel(14px);
	line-height: size-rel(20px);

	li {
		margin-bottom: size-rel(10px);
	}
}

.navbar-logo {
	width: 110px;
	font-size: 0;
	line-height: 0;
	display: inline-block;
}

.nav-icon {
	font-size: 0;
	line-height: 0;
	width: 20px;
}

.content-header {
	margin-bottom: size-rel(16px);

	&__pagination {

	}
}

.breadcrumb {
	margin: 0;
	padding: 0;
	font-size: size-rel(16px);
	line-height: size-rel(22px);

	@media (min-width: $screen-lg-min) {
		font-size: size-rel(18px);
		line-height: size-rel(24px);
	}
}

.breadcrumb-item + .breadcrumb-item::before {
	padding-right: size-rel(8px);
}

.breadcrumb-item + .breadcrumb-item {
	padding-left: size-rel(8px);
}

.table {
	font-size: size-rel(14px);
	line-height: size-rel(16px);

	th,
	td {
		font-family: $font-family-base;
	}
}
.table.dataTable thead .sorting:before,
.table.dataTable thead .sorting_asc:before,
.table.dataTable thead .sorting_desc:before {
	top: calc(50% - 16px);
}

.table.dataTable thead .sorting:after,
.table.dataTable thead .sorting_asc:after,
.table.dataTable thead .sorting_desc:after {
	top: auto;
	bottom: calc(50% - 16px);
}


.pagination .page-item.active .page-link, .pagination .page-item.active .page-link:hover {
	background: $accent !important;
}


.pagination {

	&.pagination-borderless {

		.page-item {

			.page-link {
				border: 1px solid transparent !important;
			}

			&.previous,
			&.next {

				.page-link {
					background: $white;
					border: 1px solid rgba(206, 206, 206, 0.76) !important;
				}
			}

			&.disabled,
			&:disabled {

				.page-link {
					background: rgba(206, 206, 206, 0.76) !important;
				}
			}
		}
	}
}

.pagination.pagination-borderless .page-item.previous .page-link:hover,
.pagination.pagination-borderless .page-item.next .page-link:hover {
	background: $white;
}

.card-header-row {

	@media (min-width: $screen-xl-min) {
		margin: 0 size-rel(-4px);
		display: flex;
		align-items: center;
	}
}

.card-header-col {

	@media (min-width: $screen-xl-min) {
		width: 50%;
		padding: 0 size-rel(4px);
	}
}

.main-row {

	@media (min-width: $screen-md-min) {
		display: flex;
		justify-content: space-between;
	}
}

.main-sidebar {
	margin-bottom: size-rel(16px);

	@media (min-width: $screen-md-min) {
		width: 216px;
		margin-bottom: 0;
	}
}

.main-content {

	@media (min-width: $screen-md-min) {
		width: calc(100% - 246px);
	}
}

.sidenav {
	margin: 0;
	padding: 0;
	list-style: none;

	li {

		a {
			color: $secondary;
			padding: size-rel(10px) size-rel(8px) size-rel(10px) size-rel(12px);
			display: flex;
			align-items: center;
			background: transparent;
			text-decoration: none;
			transition: .25s;
			border: 1px solid transparent;
			border-radius: 4px;

			i {
				margin-right: size-rel(8px);
				width: size-rel(26px) !important;
			}

			&:hover {
				color: $secondary;
				background: $white;
				text-decoration: none;
				transition: .25s;
			}
		}

		&.active {

			a {
				color: $secondary;
				background: $white;
				text-decoration: none;
				transition: .25s;
				border-color: rgba(206, 206, 206, 0.76);
			}
		}
	}

}

.login {
	min-height: 100vh;
	min-height: calc(var(--vh) * 100);
	display: flex;
	align-items: center;
	justify-content: center;

	&__container {
		height: 100%;
		width: 100%;
		max-height: 896px;
		max-width: 420px;
		margin: 0 auto;
		padding: 440px 20px 40px 20px;
		background: url("../img/login__bg_sm.png") 50% -20px no-repeat;
		background-size: 100% auto;
	}

	&__wrap {

	}

	&__logo {
		width: 157px;
		display: none;
		margin-bottom: size-rel(36px);
	}

	&__image {
		max-width: 322px;
		margin: 0 auto 56px auto;
	}

	&__title {
		font-weight: 500;
		font-size: size-rel(18px);
		margin-bottom: size-rel(24px);
	}

	@media (min-width: 576px) {

	}

	@media (min-width: $screen-sm-min) {

		&__container {
			padding-top: 500px;
		}
	}

	@media (min-width: $screen-md-min) {

		&__container {
			height: 553px;
			padding: 40px 50px;
			width: 100%;
			max-width: 1122px;
			background: url("../img/login__bg_md.svg") 100% 50% no-repeat;
			background-size: cover;
			display: flex;
			align-items: center;
		}

		&__content {
			width: 466px;
			flex-shrink: 0;
		}

		&__title {
			margin-bottom: size-rel(16px);
		}

		&__logo {
			display: block;
		}
	}
}

.checkbox-list {
	margin: 0;
	padding: 0;
	list-style: none;

	li {
		margin-bottom: size-rel(16px);

		ul {
			margin: 16px 0 0 0;
			list-style: none;
			padding: 0 0 0 size-rel(30px);
		}
	}
}

.list-unstyled {

	li {

		&:not(:last-child) {
			margin-bottom: size-rel(14px);
		}
	}
}

.color-secondary {
	color: $secondary;
}

.moving-map {
	height: 505px;
}

.users {
	overflow: hidden;
	background: $white;
	border-radius: 4px;
	box-shadow: 2px 2px 13px rgba(0, 0, 0, 0.06);

	&__info {
		padding: size-rel(10px) size-rel(14px);

		&--summary {
			margin-bottom: size-rel(10px);
		}
	}

	&__content {
		height: 343px;
		position: relative;
		overflow: hidden;
	}

	@media (min-width: $screen-sm-min) {
	}

	@media (min-width: $screen-md-min) {

		&__content {
			height: 490px;
		}
	}

	@media (min-width: $screen-lg-min) {

		&__content {
			height: 539px;
		}
	}
}

.user-item {
	margin: 0;
	padding: 0;
	display: block;
	overflow: hidden;
	font-weight: 400;
	color: $secondary;
	position: relative;
	text-transform: inherit;
	font-size: size-rel(14px);
	line-height: size-rel(20px);

	input {
		top: -1px;
		left: -1px;
		width: 1px;
		height: 1px;
		opacity: 0;
		overflow: hidden;
		visibility: hidden;
		position: absolute;
	}

	span {
		display: block;
		cursor: pointer;
		padding: size-rel(14px) size-rel(14px);
		border-bottom: 1px solid #F0F2F8;
	}

	input:checked + span {
		background: #F0F2F8;
	}
}

.users-map {
	height: 480px;
	max-height: 100vh;

	@media (min-width: $screen-md-min) {
		height: 100%;
	}
}

.point {
	position: relative;
	text-align: center;

	&__avatar {
		width: 52px;
		height: 52px;
		bottom: 0;
		left: -26px;
		overflow: hidden;
		border-radius: 50%;
		position: absolute;
		border: 2px solid $blue;
	}

	&__content {
		left: -68px;
		bottom: 62px;
		color: $white;
		width: 136px;
		height: 40px;
		font-size: size-rel(12px);
		line-height: size-rel(20px);
		display: flex;
		align-items: center;
		justify-content: center;
		border-radius: 8px;
		background: $blue;
		border: 1px solid $blue;
		position: absolute;

		&:before {
			top: 100%;
			content: '';
			left: calc(50% - 8px);
			position: absolute;
			border: 8px solid transparent;
			border-top: 8px solid $blue;
		}
	}

	&__icon {
		top: -12px;
		left: calc(50% - 12px);
		width: 24px;
		height: 24px;
		font-size: 14px;
		line-height: 14px;
		background: $blue;
		border-radius: 50%;
		border: 2px solid $white;
		position: absolute;
		text-align: center;
		padding: 3px 0;

		i {
			font-size: 14px;
			line-height: 14px;
		}
	}

	&--red {

		.point {

			&__avatar {
				border-color: $red;
			}

			&__content {
				background: $red;
				border-color: $red;

				&:before {
					border-top-color: $red;
				}
			}

			&__icon {
				background: $red;
			}
		}
	}

	&--selected {

		.point {

			&__content {
				background: $black;
			}
		}
	}
}

.placemark_layout_container {
	position: relative;
	font-family: Georgia;
	font-size: 40px;
	text-align: center;
	font-weight: bold;
}

/* Квадратный макет метки */
.square_layout {
	position: absolute;
	left: -23px;
	top: -23px;
	width: 46px;
	height: 46px;
	line-height: 46px;
	border: 2px solid #218703;
	background-color: #F8FDF7;
	color: #218703;
}

/* Круглый макет метки */
.circle_layout {
	background-color: white;
	position: absolute;
	left: -23px;
	top: -23px;
	width: 46px;
	height: 46px;
	border: 2px solid #225D9C;
	color: #225D9C;
	line-height: 46px;
	/* Это CSS свойство не будет работать в Internet Explorer 8 */
	border-radius: 50px;
}

/* Макет метки с "хвостиком" */
.polygon_layout {
	position: relative;
	background: #ffffff;
	border: 4px solid #943A43;
	width: 50px;
	height: 50px;
	position: absolute;
	left: -28px;
	top: -76px;
	color: #943A43;
}

.polygon_layout:after, .polygon_layout:before {
	top: 100%;
	left: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
}

.polygon_layout:after {
	border-top-color: #943A43;
	border-width: 10px;
	margin-left: -10px;
}

.polygon_layout:before {
	border-top-color: #943A43;
	border-width: 16px;
	margin-left: -16px;
}

.toast {
	width: 534px;
	max-width: 90vw;

	.toast-header {

		&--red {
			background: $red;
		}

		.close {
			width: 24px;
			height: 24px;
			padding: 0;
			display: flex;
			align-items: center;
			justify-content: center;
		}
	}
}

.connect {

	&__media {
		background: #f5f5f5;
		margin-bottom: size-rel(24px);
	}

	&__header {
		padding: size-rel(16px);
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		justify-content: space-between;
	}

	&__timeline {

		&--scale {
			height: 20px;
			background: $white;
		}
	}

	&__map {
		height: 250px;
	}

	&__form {
		padding: size-rel(16px);
	}

	&__chat {
		height: 460px;
		background: #F5F5F5;
		position: relative;
	}

	@media (min-width: $screen-md-min) {
		display: flex;
		justify-content: space-between;

		&__media {
			margin-bottom: 0;
			width: calc(100% - 458px);
		}

		&__chat {
			height: auto;
			width: 438px;
		}
	}
}

.page-wrap {
	max-width: 1140px;
}

.comm {

	&__map {
		height: 400px;
		position: relative;
		background: url("../img/content/map_tmp.jpg") 50% 50% no-repeat;
		background-size: cover;
		margin-bottom: size-rel(24px);

		&--button {
			z-index: 10;
			top: size-rel(16px);
			left: size-rel(16px);
			position: absolute;
		}

		&--container {
			height: 400px;
			position: relative;
		}

		&--source {
			height: 100%;
			position: relative;
		}

		&--polygon {
			width: 100%;
			height: 100%;
			position: absolute;
		}
	}

	&__filter {
		padding: size-rel(16px);
		border-bottom: 1px solid #CECECE;
	}

	&__content {
		overflow: hidden;
		position: relative;

		&--source {
			overflow: hidden;
			position: relative;
			height: size-rel(392px);
		}
	}

	&__list {
		margin: 0;
		padding: 0;
		list-style: none;

		li {
			padding: size-rel(14px) size-rel(16px);
			border-bottom: 1px solid #CECECE;
		}
	}

	&__title {
		padding-top: size-rel(24px);
		padding-bottom: size-rel(16px);
	}

	@media (min-width: $screen-md-min) {
		display: flex;
		justify-content: space-between;

		&__map {
			margin-bottom: 0;
			height: auto;
			width: calc(100% - 400px);
			flex-shrink: 0;

			&--container {
				height: 100%;
				position: relative;
			}
		}

		&__sidebar {
			height: calc(100vh - 190px);
			width: 380px;
			flex-shrink: 0;
			display: flex;
			flex-direction: column;
		}

		&__main {
			flex-grow: 1;
			display: flex;
			flex-direction: column;
		}

		&__content {
			flex-grow: 1;
			position: relative;

			&--wrap {
				top: 0;
				left: 0;
				right: 0;
				bottom: 0;
				height: auto;
				position: absolute;
			}

			&--source {
				width: 100%;
				height: 100%;
				max-height: 100%;
				position: relative;
			}
		}
	}
}

.search-avatar {
	width: 79px;
	height: 79px;
	overflow: hidden;
	border: 2px solid $red;
}

.connect-chat {
	display: flex;
	flex-direction: column;

	&__header {
		padding: size-rel(12px) size-rel(16px);
		display: flex;
		align-items: center;
		border-bottom: 1px solid #B1BBC7;

		&--avatar {
			width: 37px;
			height: 37px;
			overflow: hidden;
			border-radius: 50%;
		}

		&--text {
			padding-left: size-rel(10px);
		}

		&--id {
			font-size: size-rel(12px);
			line-height: size-rel(16px);
		}
	}

	&__content {
		flex-grow: 1;
		overflow: hidden;
		position: relative;
	}

	&__source {
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		position: absolute;

		&--wrap {
			padding: size-rel(16px);
		}
	}

	&__new {
		padding: size-rel(12px) size-rel(16px) size-rel(8px) size-rel(16px);
		border-top: 1px solid #B1BBC7;
	}

	&__form {

		.btn {
			width: 100%;
		}
	}

	&__date {
		font-size: 0;
		line-height: 0;
		text-align: center;
		margin-bottom: size-rel(22px);

		span {
			width: 104px;
			padding: 4px;
			color: #9DA6B2;
			font-size: 11px;
			line-height: 13px;
			border-radius: 20px;
			text-align: center;
			display: inline-block;
			background: rgba(0,0,0,0.05);
			flex-shrink: 0;
		}
	}

	@media (min-width: 567px) {

		&__form {
			display: flex;
			align-items: center;

			.btn {
				width: auto;
			}
		}
	}
}

.color-blue {
	color: $blue !important;
}

.color-red {
	color: $red !important;
}

.chat-post {
	display: flex;

	&__avatar {
		width: 36px;
		height: 36px;
		overflow: hidden;
		border-radius: 50%;
		display: flex;
		align-items: center;
		justify-content: center;
		flex-shrink: 0;
	}

	&__main {
		padding-left: size-rel(8px);
	}

	&__item {
		margin-bottom: size-rel(30px);

		&--text {
			padding: size-rel(10px);
			overflow: hidden;
			background: $white;
			border-radius: 2px;
			font-size: size-rel(14px);
			line-height: size-rel(18px);
			box-shadow: 2px 2px 13px rgba(0, 0, 0, 0.1);
		}

		&:not(:last-child) {
			margin-bottom: size-rel(12px);
		}

		&--time {
			text-align: right;
			margin-top: size-rel(4px);
			font-size: size-rel(11px);
			line-height: size-rel(13px);
		}


		&--media {
			max-width: 346px;
			overflow: hidden;
			background: $white;
			border-radius: 2px;
			overflow: hidden;
			font-size: size-rel(14px);
			line-height: size-rel(18px);
			box-shadow: 2px 2px 13px rgba(0, 0, 0, 0.1);
		}
	}
}

@media (min-width: $screen-sm-min) {

}

@media (min-width: $screen-md-min) {

}

@media (min-width: $screen-lg-min) {

}

@media (min-width: $screen-xl-min) {

}

* {}


